# Class ToolButtonDefault

Default implementation of the application tools icon.

Example with an icon classes:

       <gmf-tool-button slot="tool-button" iconClasses="fa fa-print" panelName="my-panel"></gmf-tool-button>

Example with a slot:

       <gmf-tool-button slot="tool-button" panelName="my-panel">
         <span>
           <i class="fa fa-mouse-pointer"></i>
         </span>
       </gmf-tool-button>

#### Hierarchy

- default
  - ToolButtonDefault

- Defined in srcapi/elements/ToolButtonElement.ts:173

#####
Index

### Constructors

constructor

### Properties

iconClasses
panelName
title
bootstrapStyle
bootstrapVarStyle
commonStyle
fontawesomeStyle
resetStyle
styles

### Methods

connectedCallback
disconnectedCallback
firstUpdated
mozRequestFullScreen
mozRequestFullScreenWithKeys
msRequestFullscreen
render
webkitRequestFullscreen

## Constructors

### constructor

- new ToolButtonDefault(panelName): ToolButtonDefault

- #### Parameters

  - ##### panelName: string

  #### Returns ToolButtonDefault

  Inherited from default.constructor

  - Defined in srcapi/elements/ToolButtonElement.ts:113

## Properties

### iconClasses

iconClasses: string

- Defined in srcapi/elements/ToolButtonElement.ts:179

### panelName

panelName: string

- Defined in srcapi/elements/ToolButtonElement.ts:175

### title

title: string

Overrides ToolButtonElement.title

- Defined in srcapi/elements/ToolButtonElement.ts:177

### `Static` bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### `Static` bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### `Static` commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### `Static` fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### `Static` resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### `Static` styles

styles: CSSResult[] = ...

Inherited from default.styles

- Defined in srcapi/elements/ToolButtonElement.ts:66

## Methods

### connectedCallback

- connectedCallback(): void

- #### Returns void

  Overrides default.connectedCallback

  - Defined in srcapi/elements/ToolButtonElement.ts:181

### disconnectedCallback

- disconnectedCallback(): void

- #### Returns void

  Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

### firstUpdated

- firstUpdated(): void

- #### Returns void

  Inherited from default.firstUpdated

  - Defined in srcapi/elements/ToolButtonElement.ts:150

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

### render

- render(): TemplateResult<ResultType>

- #### Returns TemplateResult<ResultType>

  Overrides default.render

  - Defined in srcapi/elements/ToolButtonElement.ts:186

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?): Promise<void>

- #### Parameters

  - ##### `Optional` allowKeyboardInput: number

  #### Returns Promise<void>

  Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

Generated using TypeDoc